
#search-form {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;
    gap: 5px;

}

#search-form input {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 6px;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px, rgb(209, 213, 219) 0px 0px 0px 1px inset;
    text-align: right;
}

#search-form input:focus-visible {
    outline: none;
    box-shadow: rgba(9, 30, 66, 0.25) 0px 1px 1px, rgba(9, 30, 66, 0.13) 0px 0px 1px 1px;
}

#search-form button, #search-load-more-btn {

    /* background: var(--primary-red); */
    /* color: white; */
    border: none;
    cursor: pointer;
    /* border-radius: 50%; */
    /* box-shadow: var(--box-shadow); */
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px, rgb(209, 213, 219) 0px 0px 0px 1px inset;
    outline: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
}

#search-load-more-btn {
    padding: 10px 15px;
    background: black;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 2px 24px;
}

#search-form button i.fa.fa-search {


    border: none;
}

#search-result {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    margin-bottom: 20px;
}

#search-result ul {
    list-style: none;
}

#posts {
    width: 100%;


}

.post {

    /* padding: 10px; */

    display: flex;

    flex-direction: column;

    gap: 5px;

    box-shadow: var(--box-shadow);

    border-radius: 2px 24px;

    transition: all 0.3s;

    color: black;

    height: 100%;
}


.post img {
    height: 178px !important;

    object-fit: cover;
    /* width: 100%; */
    border-radius: 2px 24px;
}

.post:hover {
    color: var(--primary-color);
}

.post div {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 5px 10px;
    /* height: 100%; */
}

.post h1 {
    /* width: 100%; */
    text-decoration: none;
    font-size: var(--font-size-xl);
    font-weight: bold;
    padding: 3px;
    color: inherit;
}

.post span {
    font-size: 1.2rem;
    padding: 3px;
}

#search-load-more-btn {
    display: none;
}
